QGIS Application - Bug report #14654
Qgis 2.14 - Processing, Additional Providers is broken. Missing msys directory.
2016-04-10 02:47 AM - Dan G

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.14.3 Regression?: No
Operating System: MS Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22618
Description

Hello

| have installed Qgis 2.14 using "QGIS Standalone Installer Version 2.14 (64 bit)" onto fresh, clean Windows 7 64-bit installations.

After Qgis has been installed 'Additional Providers' in the Processing Toolbox is broken, | get an error message that the path
"C:/PROGRA~1/QGISES~1/apps\\msys" does not exist.
As a result of this it is not possible to activate additional geoalgorithms, such as 'Tools for LiIDAR data' for example.

| have tested with both qgis 2.14.0 and 2.14.1.
During the installation of qgis | have tested with both the default installation path (C:\\Program Files\\Qgis Essen) and a simpler path like

"C:\\qgis_essen" but the error persists regardless.

| will attach some screenshots.

Related issues:
Duplicates QGIS Application - Bug report # 14431: Cannot set Msys folder path... Closed 2016-03-06

History

#1 - 2016-04-10 03:01 AM - Juirgen Fischer
- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #14431

#2 - 2016-05-10 11:16 AM - Dan G

- Status changed from Closed to Reopened

This issue still persists with latest Qgis 2.14.2.

After Qgis has been installed 'Additional Providers' in the Processing Toolbox is broken, | get an error message that the path

"C:/PROGRA~1/QGISES~1/apps\\msys" does not exist.

#3 - 2016-05-24 10:41 PM - Alexander Bruy
- Status changed from Reopened to Feedback
- Category changed from Windows Package to Processing/Core
Please test with completely clean system (no old registry entries, empty ~/.qgis2)

#4 - 2016-06-12 06:10 AM - Dan G

This issue still persists with latest Qgis 2.14.3.
Yes, testing is performed on fresh, clean Windows 7 64-bit installations.

After Qgis has been installed, opening 'Processing options' gives an error message that the path "C:/PROGRA~1/QGISES~1/apps\\msys" does not exist.

(Error message is received when pressing the 'OK'-button for example.)

#5 - 2016-07-03 07:26 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Assignee set to Victor Olaya

- Resolution deleted (duplicate)

- Affected QGIS version changed from 2.14.1 to 2.14.3

Still true with the 2.14.3 standalone installer on a completely clean environment. Not sure it has been fixed in master of the dev branch of 2.14.

#6 - 2016-08-05 05:07 AM - Alexander Bruy
- Status changed from Open to Feedback

Should be fixed in latest point release

#7 - 2016-08-23 06:51 AM - Alexander Bruy
- Status changed from Feedback to Closed

Please reopen in necessary
